Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorcletavernie2012-09-17 09:28:15 -0400
committercletavernie2012-09-17 09:28:15 -0400
commitb00718aa2138c1ce5a34eb592d91d178a9803f8e (patch)
tree7bb9144a6f21f862334f6a495f809b122ca99fbd /plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration
parentbd209383ecf3ad359021d1c9e8633201afc36f17 (diff)
downloadorg.eclipse.papyrus-b00718aa2138c1ce5a34eb592d91d178a9803f8e.tar.gz
org.eclipse.papyrus-b00718aa2138c1ce5a34eb592d91d178a9803f8e.tar.xz
org.eclipse.papyrus-b00718aa2138c1ce5a34eb592d91d178a9803f8e.zip
380517: [Papyrus] We should use explicit plug-in dependencies whenever possible
https://bugs.eclipse.org/bugs/show_bug.cgi?id=380517 + removed some unused dependencies and imports
Diffstat (limited to 'plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration')
-rw-r--r--plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration/META-INF/MANIFEST.MF3
-rw-r--r--plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration/src/org/eclipse/papyrus/infra/gmfdiag/css/configuration/handler/StyleEditionDialog.java3
2 files changed, 4 insertions, 2 deletions
diff --git a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration/META-INF/MANIFEST.MF
index f6f033bbd06..ea9a328dda1 100644
--- a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration/META-INF/MANIFEST.MF
@@ -19,6 +19,7 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.emf;bundle-version="0.9.0",
org.eclipse.papyrus.infra.gmfdiag.css.model;bundle-version="0.9.0",
org.eclipse.papyrus.infra.gmfdiag.css,
- org.eclipse.papyrus.infra.emf.appearance;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.emf.appearance;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.2.1"
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-ActivationPolicy: lazy
diff --git a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration/src/org/eclipse/papyrus/infra/gmfdiag/css/configuration/handler/StyleEditionDialog.java b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration/src/org/eclipse/papyrus/infra/gmfdiag/css/configuration/handler/StyleEditionDialog.java
index eb73f77a39e..4f8e3732047 100644
--- a/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration/src/org/eclipse/papyrus/infra/gmfdiag/css/configuration/handler/StyleEditionDialog.java
+++ b/plugins/infra/gmfdiag/css/org.eclipse.papyrus.infra.gmfdiag.css.configuration/src/org/eclipse/papyrus/infra/gmfdiag/css/configuration/handler/StyleEditionDialog.java
@@ -11,6 +11,8 @@
*****************************************************************************/
package org.eclipse.papyrus.infra.gmfdiag.css.configuration.handler;
+import static org.eclipse.papyrus.infra.gmfdiag.css.configuration.helper.DiagramTypeHelper.getDiagramType;
+
import java.util.List;
import java.util.Map;
@@ -38,7 +40,6 @@ import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;
-import static org.eclipse.papyrus.infra.gmfdiag.css.configuration.helper.DiagramTypeHelper.getDiagramType;
/**

Back to the top